## EHOME-MOBILE

### 代理配置
package.json中proxy字段配置代理服务器地址
例如：proxy:"10.1.1.88"

### 脚本说明
1. 开发环境启动项目    
npm run start

2. 生产打包构建     
npm run build

### 工具函数
1. callApi    
```javascript
import {callApi} from 'utils'
callApi({
  api:'/getUserInfo',  // 必填，api地址
  success: (response)=>{}, // 可选，成功的回调
  data: {id:12},       // 可选，默认 {}
  method: 'GET',       // 可选，默认 'POST'
  service:'/evh',      // 可选，默认 '/evh'
  error: (data)=>{},   // 可选，失败的回调
  promise: false,       // 可选，是否返回promise对象，默认false，注意：设为true后，函数将不会默认处理请求失败情况，同时success和error参数将失效
})

callApi({
  api:'/getUserInfo',  
  promise: true,     
})
.then(response => {})
.catch(data => {})
```